<p class="title">
	Assessment Maintenance > Add/Edit Service Category > <i>Add</i>
</p>
<form [formGroup]="serviceCategoryForm" name="createForm"
	id="createForm" novalidate role="form" novalidate
	(ngSubmit)="save(serviceCategoryForm.value)">
	<div class="card">
		<div class="card-header title">Add a new Service Category</div>
		<div class="card-block">
			<div class="form-group row">
				<label class="col-sm-2 form-control-label heading"
					for="field_merchantname">Name :</label>
				<div class="col-sm-4">
				<textarea class="form-control" name="name"
						formControlName="name">
                </textarea>
					<!-- <jhi-display-category-error
						[control]="serviceCategoryForm.controls.name">
					</jhi-display-category-error> -->
				</div>
			</div>
			<div class="form-group row">
				<label class="col-sm-2 form-control-label heading"
					for="field_merchantname">Service Type :</label>
				<div class="col-sm-10" formArrayName="serviceTypes">
					<div class="row mt-2"
						*ngFor="let types of serviceTypes.controls; let i=index"
						[formGroupName]="i">
						<div class="col-sm-10">
							<textarea type="text" class="form-control" name="serviceType"
								row="3" formControlName="serviceType"></textarea>
								<!-- <jhi-display-category-error
							[control]="types.controls.serviceType">
						</jhi-display-category-error> -->
						</div>
						<div class="offset-sm-1">
							<i class="fa fa-times-circle text-danger"
								(click)="deleteServiceTypes(i)"></i>
						</div>
					</div>
				</div>
			</div>
			<hr>
			<div class="row add-row ml-3">
				<a (click)="addServiceTypes()"><b><i class="fa fa-plus mr-2"></i>Add
						a new row</b></a>
			</div>
		</div>
		<div class="row-md action-div">
			<button type="submit" (click)="previousState()"
				class="btn btn-default action-btn-with-text">
				<span class="fa fa-times fa-lg"></span>&nbsp;<span> Cancel</span>
			</button>
			<button type="submit" [disabled]="!serviceCategoryForm.valid"
				class="btn action-btn-with-text edit">
				<span class="fa fa-save"></span>&nbsp;<span>Save</span>
			</button>
		</div>
	</div>

</form>
